apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  annotations:
    chains.tekton.dev/signed: "true"
    results.tekton.dev/record: prod-east/results/7a47fd77-f338-4f87-8e34-aa7d662dc52c/records/7a47fd77-f338-4f87-8e34-aa7d662dc52c
    results.tekton.dev/result: prod-east/results/7a47fd77-f338-4f87-8e34-aa7d662dc52c
    results.tekton.dev/stored: "true"
  creationTimestamp: "2025-11-11T07:19:12Z"
  finalizers:
  - results.tekton.dev/pipelinerun
  - chains.tekton.dev/pipelinerun
  generation: 1
  labels:
    env: prod
    tekton.dev/pipeline: jib-maven-pipeline
  name: prod-jib-maven-run
  namespace: prod-east
  resourceVersion: "6622047"
  uid: 7a47fd77-f338-4f87-8e34-aa7d662dc52c
spec:
  pipelineRef:
    name: jib-maven-pipeline
  taskRunTemplate:
    serviceAccountName: pipeline
  timeouts:
    pipeline: 15m0s
  workspaces:
  - name: source
    persistentVolumeClaim:
      claimName: shared-pvc
status:
  childReferences:
  - apiVersion: tekton.dev/v1
    kind: TaskRun
    name: prod-jib-maven-run-clone-git-repo
    pipelineTaskName: clone-git-repo
  - apiVersion: tekton.dev/v1
    kind: TaskRun
    name: prod-jib-maven-run-build
    pipelineTaskName: build
  completionTime: "2025-11-11T07:19:37Z"
  conditions:
  - lastTransitionTime: "2025-11-11T07:19:37Z"
    message: 'Tasks Completed: 2 (Failed: 1, Cancelled 0), Skipped: 0'
    reason: Failed
    status: "False"
    type: Succeeded
  pipelineSpec:
    params:
    - default: jib-maven
      description: where to clone the git repo
      name: SUBDIR
      type: string
    tasks:
    - name: clone-git-repo
      params:
      - name: URL
        value: https://github.com/che-samples/console-java-simple
      - name: REVISION
        value: master
      - name: SUBDIRECTORY
        value: jib-maven
      - name: DELETE_EXISTING
        value: "true"
      taskRef:
        params:
        - name: kind
          value: task
        - name: name
          value: git-clone
        - name: namespace
          value: openshift-pipelines
        resolver: cluster
      workspaces:
      - name: output
        workspace: source
    - name: build
      params:
      - name: DIRECTORY
        value: jib-maven
      - name: IMAGE
        value: image-registry.openshift-image-registry.svc:5000/prod-east/jib-maven
      - name: INSECUREREGISTRY
        value: "false"
      runAfter:
      - clone-git-repo
      taskRef:
        params:
        - name: kind
          value: task
        - name: name
          value: jib-maven
        - name: namespace
          value: openshift-pipelines
        resolver: cluster
      workspaces:
      - name: source
        workspace: source
    workspaces:
    - name: source
  provenance:
    featureFlags:
      awaitSidecarReadiness: true
      coschedule: workspaces
      enableAPIFields: beta
      enableProvenanceInStatus: true
      enforceNonfalsifiability: none
      maxResultSize: 4096
      resultExtractionMethod: termination-message
      runningInEnvWithInjectedSidecars: true
      verificationNoMatchPolicy: ignore
  startTime: "2025-11-11T07:19:12Z"
